package com.xhkjedu.sexam.mapper.exam;

import com.xhkjedu.sexam.base.TkMapper;
import com.xhkjedu.sexam.model.exam.ESubjectBadstudent;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface ESubjectBadstudentMapper extends TkMapper<ESubjectBadstudent> {
    //试卷学生
    List<Map> listStu(@Param("esid") Integer esid, @Param("classids") String classids, @Param("classid") Integer classid,
                      @Param("studentname") String studentname);

    //学生进场概况
    Map getPaperRate(@Param("esid") Integer esid);

    //教师监考班级
    Map getClass(@Param("esid") Integer esid, @Param("teacherid") Integer teacherid);

    //试卷学生异常记录
    List<Map> listBadStu(@Param("esid") Integer esid, @Param("classids") String classids, @Param("classid") Integer classid);
}